## ironic-tempest-plugin 2.0.0

=== debian/changelog ===
ironic-tempest-plugin (2.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Jun 2020 11:07:08 +0200

ironic-tempest-plugin (2.0.0-1) experimental; urgency=medium

  * Initial packaging (Closes: #959026).

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Apr 2020 17:21:46 +0200

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/ironic-tempest-plugin/tags .*/(\d[\d\.]+)\.tar\.gz

## ironic-tempest-plugin 2.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=2.1.0,>=2.0.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
six>=1.10.0 # MIT
tempest>=17.1.0 # Apache-2.0

=== debian/changelog ===
ironic-tempest-plugin (2.1.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Oct 2020 10:30:56 +0200

ironic-tempest-plugin (2.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 02 Oct 2020 09:50:32 +0200

## ironic-tempest-plugin 2.3.1

=== debian/changelog ===
ironic-tempest-plugin (2.3.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 30 Sep 2021 13:36:54 +0200

ironic-tempest-plugin (2.3.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Sep 2021 11:00:01 +0200

ironic-tempest-plugin (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Aug 2021 10:37:00 +0200

ironic-tempest-plugin (2.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 16:50:37 +0200

ironic-tempest-plugin (2.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 09 Mar 2021 09:45:05 +0100

=== debian/control ===
Source: ironic-tempest-plugin
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools (>= 109~),
 python3-all,
 python3-pbr,
 python3-setuptools,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/ironic-tempest-plugin
Vcs-Git: https://salsa.debian.org/openstack-team/tempest/ironic-tempest-plugin.git
Homepage: https://opendev.org/openstack/ironic-tempest-plugin

Package: ironic-tempest-plugin
Architecture: all
Depends:
 python3-pbr,
 python3-oslo.config,
 python3-oslo.log,
 python3-oslo.serialization,
 python3-oslo.utils,
 python3-fixtures,
 python3-six,
 tempest,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack Integration Test Suite - Ironic plugin
 Tempest is a set of integration tests to be run against a live Openstack
 cluster in order to make sure that all components are working as expected.
 Tempest will start and stop virtual machine in order to check that your
 cloud is working as expected.
 .
 This package contains the Ironic plugin.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/ironic-tempest-plugin
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	echo "Do nothing..."

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "No tests for now..."
	#pkgos-dh_auto_test --no-py2
endif

	dh_install
	dh_missing --fail-missing

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## ironic-tempest-plugin 2.4.0

=== debian/changelog ===
ironic-tempest-plugin (2.4.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Mar 2022 15:57:42 +0200

## ironic-tempest-plugin 2.5.0

=== requirements.txt ===
--- 
+++ 
@@ -8,5 +8,4 @@
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 fixtures>=3.0.0 # Apache-2.0/BSD
-six>=1.10.0 # MIT
-tempest>=17.1.0 # Apache-2.0
+tempest>=27.0.0 # Apache-2.0

=== debian/changelog ===
ironic-tempest-plugin (2.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Fixed depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Sep 2022 09:29:12 +0200

## ironic-tempest-plugin 2.6.1

=== debian/changelog ===
ironic-tempest-plugin (2.6.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1048286).

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 08:55:52 +0200

ironic-tempest-plugin (2.6.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 15:42:25 +0200

ironic-tempest-plugin (2.6.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 10 Mar 2023 08:42:40 +0100

ironic-tempest-plugin (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 27 Feb 2023 10:31:10 +0100

## ironic-tempest-plugin 2.7.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
ironic-tempest-plugin (2.7.0-3) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:43:20 +0200

ironic-tempest-plugin (2.7.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Oct 2023 18:41:15 +0200

ironic-tempest-plugin (2.7.0-1) experimental; urgency=medium

  * New usptream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 14:35:09 +0200

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,9 @@
 
 override_dh_auto_clean:
 	python3 setup.py clean
+	rm -rf build .stestr *.egg-info
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_test:
 	echo "Do nothing..."

## ironic-tempest-plugin 2.9.0

=== debian/changelog ===
ironic-tempest-plugin (2.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 07 Apr 2024 21:04:23 +0200

ironic-tempest-plugin (2.9.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 19 Mar 2024 14:41:51 +0100

ironic-tempest-plugin (2.8.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Feb 2024 11:22:43 +0100

## ironic-tempest-plugin 2.11.0

=== requirements.txt ===
pbr>=2.0.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
fixtures>=3.0.0 # Apache-2.0/BSD
tempest>=27.0.0 # Apache-2.0

=== debian/changelog ===
ironic-tempest-plugin (2.11.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090423).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:43:19 +0100

ironic-tempest-plugin (2.11.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Sep 2024 16:43:32 +0200

ironic-tempest-plugin (2.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 23:26:47 +0200

ironic-tempest-plugin (2.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 17:16:53 +0200

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,7 @@
  python3-oslo.serialization,
  python3-oslo.utils,
  python3-fixtures,
- python3-six,
- tempest,
+ tempest (>= 27.0.0),
  ${misc:Depends},
  ${python3:Depends},
 Provides:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ironic-tempest-plugin/tags .*/(\d[brc\d\.]+)\.tar\.gz

## ironic-tempest-plugin 2.13.0

=== requirements.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-pbr>=2.0.0 # Apache-2.0
+pbr>=6.0.0 # Apache-2.0
 oslo.config>=5.2.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization>=2.18.0 # Apache-2.0

=== debian/changelog ===
ironic-tempest-plugin (2.13.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:38:51 +0100

ironic-tempest-plugin (2.13.0-1) experimental; urgency=medium

  * New upstream release.
  * Fix pbr version in (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 21 Mar 2025 17:08:12 +0100

ironic-tempest-plugin (2.12.0-1) experimental; urgency=medium

  * New upstream release.
  * d/watch: switch to version=4 and mode=git.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 14:59:19 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  dh-python,
  openstack-pkg-tools (>= 109~),
  python3-all,
- python3-pbr,
+ python3-pbr (>= 6.0.0),
  python3-setuptools,
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/openstack-team/tempest/ironic-tempest-plugin
@@ -19,7 +19,7 @@
 Package: ironic-tempest-plugin
 Architecture: all
 Depends:
- python3-pbr,
+ python3-pbr (>= 6.0.0),
  python3-oslo.config,
  python3-oslo.log,
  python3-oslo.serialization,

## ironic-tempest-plugin 2.14.0

=== debian/changelog ===
ironic-tempest-plugin (2.14.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Sep 2025 08:32:46 +0200

## ironic-tempest-plugin 2.15.0

=== doc/requirements.txt ===
sphinx>=2.0.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0

reno>=3.1.0 # Apache-2.0

=== debian/changelog ===
ironic-tempest-plugin (2.15.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:33:14 +0200

ironic-tempest-plugin (2.15.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 23 Sep 2025 22:42:49 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3
+	dh $@ --buildsystem=pybuild --with python3
 
 override_dh_auto_clean:
 	python3 setup.py clean

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/ironic-tempest-plugin refs/tags/(\d[brc\d\.]+)

## ironic-tempest-plugin 3.0.0

=== debian/changelog ===
ironic-tempest-plugin (3.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Mar 2026 16:53:56 +0100

ironic-tempest-plugin (2.15.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048286).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:37:02 +0100
